com.tibbo.aggregate.common.action

## Class ServerActionInput

- java.lang.Object
- - com.tibbo.aggregate.common.action.ServerActionInput

- All Implemented Interfaces:
    ActionResponse, InitialRequest

      public class ServerActionInput
      extends java.lang.Object
      implements InitialRequest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerActionInput()`
    `ServerActionInput(DataTable dataTable)`
    `ServerActionInput(DataTable dataTable, boolean last)`
    `ServerActionInput(GenericActionResponse request)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataTable` | `getData()`
    `RequestIdentifier` | `getRequestId()`
    `boolean` | `isLast()`
    `void` | `setData(DataTable data)`
    `void` | `setRemember(boolean flag)`
    `void` | `setRequestId(RequestIdentifier requestId)`
    `boolean` | `shouldRemember()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerActionInput

          public ServerActionInput()

    - #### ServerActionInput

          public ServerActionInput(DataTable dataTable)

    - #### ServerActionInput

          public ServerActionInput(DataTable dataTable,
                                   boolean last)

    - #### ServerActionInput

          public ServerActionInput(GenericActionResponse request)

  - ### Method Detail

    - #### getData

          public DataTable getData()

    - #### setData

          public void setData(DataTable data)

    - #### shouldRemember

          public boolean shouldRemember()

      Specified by:
        `shouldRemember` in interface `ActionResponse`

    - #### setRemember

          public void setRemember(boolean flag)

    - #### setRequestId

          public void setRequestId(RequestIdentifier requestId)

    - #### getRequestId

          public RequestIdentifier getRequestId()

      Specified by:
        `getRequestId` in interface `ActionResponse`

    - #### isLast

          public boolean isLast()